| showdb

## Wiki

The master copies of EMBOSS documentation are available at http://emboss.open-bio.org/wiki/Appdocs on the EMBOSS Wiki.

Please help by correcting and extending the Wiki pages.

## Function

Display information on configured databases

## Description

showdb displays a table with the names, contents and access methods of the sequence databases configured for your EMBOSS installation.

## Usage

Here is a sample session with showdb

Display information on the currently available databases:

    % showdb
    Display information on configured databases

    # Name            Type       ID  Qry All Comment
    # =============== ========== ==  === === =======
    bpsw              Protein    OK  OK  OK
    bpworm            Protein    OK  OK  OK
    qapblast          Protein    OK  OK  OK  BLAST swissnew
    qapblastall       Protein    OK  OK  OK  BLAST swissnew, all fields indexed
    qapblastsplit     Protein    OK  OK  OK  BLAST swissnew split in 5 files
    qapblastsplitexc  Protein    OK  OK  OK  BLAST swissnew split in 5 files, not file 02
    qapblastsplitinc  Protein    OK  OK  OK  BLAST swissnew split in 5 files, only file 02
    qapfasta          Protein    OK  OK  OK  FASTA file swissnew entries
    qapflat           Protein    OK  OK  OK  SpTrEmbl flatfile
    qapflatall        Protein    OK  OK  OK  SpTrEmbl flatfiles, all fields indexed
    qapir             Protein    OK  OK  OK  PIR
    qapirall          Protein    OK  OK  OK  PIR
    qapirexc          Protein    OK  OK  OK  PIR
    qapirinc          Protein    OK  OK  OK  PIR
    qapxfasta         Protein    OK  OK  OK  FASTA file swissnew entries
    qapxflat          Protein    OK  OK  OK  Swissnew flatfiles
    qaxpir            Protein    OK  OK  OK  PIR
    qaxpirall         Protein    OK  OK  OK  PIR
    qaxpirexc         Protein    OK  OK  OK  PIR
    qaxpirinc         Protein    OK  OK  OK  PIR
    tpir              Protein    OK  OK  OK  PIR using NBRF access for 4 files
    tsw               Protein    OK  OK  OK  Swissprot native format with EMBL CD-ROM index
    tswnew            Protein    OK  OK  OK  SpTrEmbl as 3 files in native format with EMBL CD-ROM index
    bpembl            Nucleotide OK  OK  OK
    bpgb              Nucleotide OK  OK  OK
    qanfasta          Nucleotide OK  OK  OK  FASTA file EMBL rodents
    qanfastaall       Nucleotide OK  OK  OK  FASTA file EMBL rodents, all fields indexed
    qanflat           Nucleotide OK  OK  OK  EMBL flatfiles
    qanflatall        Nucleotide OK  OK  OK  EMBL flatfiles
    qanflatexc        Nucleotide OK  OK  OK  EMBL flatfiles, no rodent file
    qanflatinc        Nucleotide OK  OK  OK  EMBL flatfiles, only rodent file
    qangcg            Nucleotide OK  OK  OK  GCG format EMBL
    qangcgall         Nucleotide OK  OK  OK  GCG format EMBL
    qangcgexc         Nucleotide OK  OK  OK  GCG format EMBL without prokaryotes
    qangcginc         Nucleotide OK  OK  OK  GCG format EMBL only prokaryotes
    qanxfasta         Nucleotide OK  OK  OK  FASTA file EMBL rodents
    qanxfastaall      Nucleotide OK  OK  OK  FASTA file EMBL rodents, all fields indexed
    qanxflat          Nucleotide OK  OK  OK  EMBL flatfiles
    qanxflatall       Nucleotide OK  OK  OK  EMBL flatfiles, all fields indexed
    qanxflatexc       Nucleotide OK  OK  OK  EMBL flatfiles, no rodent file
    qanxflatinc       Nucleotide OK  OK  OK  EMBL flatfiles, only rodent file
    qanxgcg           Nucleotide OK  OK  OK  GCG format EMBL
    qanxgcgall        Nucleotide OK  OK  OK  GCG format EMBL
    qanxgcgexc        Nucleotide OK  OK  OK  GCG format EMBL without prokaryotes
    qanxgcginc        Nucleotide OK  OK  OK  GCG format EMBL only prokaryotes
    qasrswww          Nucleotide OK  OK  OK  Remote SRS web server
    qawfasta          Nucleotide OK  OK  OK  FASTA file wormpep entries
    qawxfasta         Nucleotide OK  OK  OK  FASTA file wormpep entries
    qaxembl           Nucleotide OK  OK  OK  EMBL flatfiles
    tembl             Nucleotide OK  OK  OK  EMBL in native format with EMBL CD-ROM index
    temblall          Nucleotide OK  OK  OK  EMBL in native format with EMBL CD-ROM index
    temblrest         Nucleotide OK  OK  OK  EMBL in native format with EMBL CD-ROM index
    temblvrt          Nucleotide OK  OK  OK  EMBL in native format with EMBL CD-ROM index
    tensembldasgrch37 Nucleotide OK  -   -   Homo_sapiens Reference server based on GRCh37 assembly
    testdb            Nucleotide OK  OK  OK  test sequence data
    tgb               Nucleotide OK  OK  OK  Genbank IDs
    tgenbank          Nucleotide OK  OK  OK  GenBank in native format with EMBL CD-ROM index
    tgenedashuman     Nucleotide OK  -   -   The Ensembl human Gene_ID reference source
    tflybase          Features   OK  -   -
    tgenedb           Features   OK  -   -
    ttax              Taxonomy   OK  OK  OK
    taxon             Taxonomy   OK  OK  OK
    drcat             Resource   OK  OK  OK
    tedam             Obo        OK  OK  OK  EDAM using dbxedam test indexes
    tobo              Obo        OK  OK  OK  EDAM using dbxobo test indexes
    chebi             Obo        OK  OK  OK
    eco               Obo        OK  OK  OK
    edam              Obo        OK  OK  OK
    edam_data         Obo        OK  OK  OK
    edam_format       Obo        OK  OK  OK
    edam_identifier   Obo        OK  OK  OK
    edam_operation    Obo        OK  OK  OK
    edam_topic        Obo        OK  OK  OK
    go                Obo        OK  OK  OK
    go_component      Obo        OK  OK  OK
    go_function       Obo        OK  OK  OK
    go_process        Obo        OK  OK  OK
    pw                Obo        OK  OK  OK
    ro                Obo        OK  OK  OK
    so                Obo        OK  OK  OK
    swo               Obo        OK  OK  OK

Example 2

Write the results to a file:

    % showdb -outfile showdb.out
    Display information on configured databases

Go to the output files for this example

Example 3

Display information on one explicit database:

    % showdb -database tsw
    Display information on configured databases

    # Name         Type    ID  Qry All Comment
    # ============ ======= ==  === === =======
    tsw            Protein OK  OK  OK  Swissprot native format with EMBL CD-ROM index

Go to the input files for this example

Example 4

Display information on the databases formatted in HTML:

    % showdb -html
    Display information on configured databases

    NameTypeIDQryAllComment
    bpswProteinOK  OK  OK
    bpwormProteinOK  OK  OK
    qapblastProteinOK  OK  OK  BLAST swissnew
    qapblastallProteinOK  OK  OK  BLAST swissnew, all fields indexed
    qapblastsplitProteinOK  OK  OK  BLAST swissnew split in 5 files
    qapblastsplitexcProteinOK  OK  OK  BLAST swissnew split in 5 files, not file 02
    qapblastsplitincProteinOK  OK  OK  BLAST swissnew split in 5 files, only file 02
    qapfastaProteinOK  OK  OK  FASTA file swissnew entries
    qapflatProteinOK  OK  OK  SpTrEmbl flatfile
    qapflatallProteinOK  OK  OK  SpTrEmbl flatfiles, all fields indexed
    qapirProteinOK  OK  OK  PIR
    qapirallProteinOK  OK  OK  PIR
    qapirexcProteinOK  OK  OK  PIR
    qapirincProteinOK  OK  OK  PIR
    qapxfastaProteinOK  OK  OK  FASTA file swissnew entries
    qapxflatProteinOK  OK  OK  Swissnew flatfiles
    qaxpirProteinOK  OK  OK  PIR
    qaxpirallProteinOK  OK  OK  PIR
    qaxpirexcProteinOK  OK  OK  PIR
    qaxpirincProteinOK  OK  OK  PIR
    tpirProteinOK  OK  OK  PIR using NBRF access for 4 files
    tswProteinOK  OK  OK  Swissprot native format with EMBL CD-ROM index
    tswnewProteinOK  OK  OK  SpTrEmbl as 3 files in native format with EMBL CD-ROM index
    bpemblNucleotideOK  OK  OK
    bpgbNucleotideOK  OK  OK
    qanfastaNucleotideOK  OK  OK  FASTA file EMBL rodents
    qanfastaallNucleotideOK  OK  OK  FASTA file EMBL rodents, all fields indexed
    qanflatNucleotideOK  OK  OK  EMBL flatfiles
    qanflatallNucleotideOK  OK  OK  EMBL flatfiles
    qanflatexcNucleotideOK  OK  OK  EMBL flatfiles, no rodent file
    qanflatincNucleotideOK  OK  OK  EMBL flatfiles, only rodent file
    qangcgNucleotideOK  OK  OK  GCG format EMBL
    qangcgallNucleotideOK  OK  OK  GCG format EMBL
    qangcgexcNucleotideOK  OK  OK  GCG format EMBL without prokaryotes
    qangcgincNucleotideOK  OK  OK  GCG format EMBL only prokaryotes
    qanxfastaNucleotideOK  OK  OK  FASTA file EMBL rodents
    qanxfastaallNucleotideOK  OK  OK  FASTA file EMBL rodents, all fields indexed
    qanxflatNucleotideOK  OK  OK  EMBL flatfiles
    qanxflatallNucleotideOK  OK  OK  EMBL flatfiles, all fields indexed
    qanxflatexcNucleotideOK  OK  OK  EMBL flatfiles, no rodent file
    qanxflatincNucleotideOK  OK  OK  EMBL flatfiles, only rodent file
    qanxgcgNucleotideOK  OK  OK  GCG format EMBL
    qanxgcgallNucleotideOK  OK  OK  GCG format EMBL
    qanxgcgexcNucleotideOK  OK  OK  GCG format EMBL without prokaryotes
    qanxgcgincNucleotideOK  OK  OK  GCG format EMBL only prokaryotes
    qasrswwwNucleotideOK  OK  OK  Remote SRS web server
    qawfastaNucleotideOK  OK  OK  FASTA file wormpep entries
    qawxfastaNucleotideOK  OK  OK  FASTA file wormpep entries
    qaxemblNucleotideOK  OK  OK  EMBL flatfiles
    temblNucleotideOK  OK  OK  EMBL in native format with EMBL CD-ROM index
    temblallNucleotideOK  OK  OK  EMBL in native format with EMBL CD-ROM index
    temblrestNucleotideOK  OK  OK  EMBL in native format with EMBL CD-ROM index
    temblvrtNucleotideOK  OK  OK  EMBL in native format with EMBL CD-ROM index
    tensembldasgrch37NucleotideOK  -   -   Homo_sapiens Reference server based on GRCh37 assembly
    testdbNucleotideOK  OK  OK  test sequence data
    tgbNucleotideOK  OK  OK  Genbank IDs
    tgenbankNucleotideOK  OK  OK  GenBank in native format with EMBL CD-ROM index
    tgenedashumanNucleotideOK  -   -   The Ensembl human Gene_ID reference source
    tflybaseFeaturesOK  -   -
    tgenedbFeaturesOK  -   -
    ttaxTaxonomyOK  OK  OK
    taxonTaxonomyOK  OK  OK
    drcatResourceOK  OK  OK
    tedamOboOK  OK  OK  EDAM using dbxedam test indexes
    toboOboOK  OK  OK  EDAM using dbxobo test indexes
    chebiOboOK  OK  OK
    ecoOboOK  OK  OK
    edamOboOK  OK  OK
    edam_dataOboOK  OK  OK
    edam_formatOboOK  OK  OK
    edam_identifierOboOK  OK  OK
    edam_operationOboOK  OK  OK
    edam_topicOboOK  OK  OK
    goOboOK  OK  OK
    go_componentOboOK  OK  OK
    go_functionOboOK  OK  OK
    go_processOboOK  OK  OK
    pwOboOK  OK  OK
    roOboOK  OK  OK
    soOboOK  OK  OK
    swoOboOK  OK  OK

Example 5

Display protein databases only:

    % showdb -nonucleic
    Display information on configured databases

    # Name            Type       ID  Qry All Comment
    # =============== ========== ==  === === =======
    bpsw              Protein    OK  OK  OK
    bpworm            Protein    OK  OK  OK
    qapblast          Protein    OK  OK  OK  BLAST swissnew
    qapblastall       Protein    OK  OK  OK  BLAST swissnew, all fields indexed
    qapblastsplit     Protein    OK  OK  OK  BLAST swissnew split in 5 files
    qapblastsplitexc  Protein    OK  OK  OK  BLAST swissnew split in 5 files, not file 02
    qapblastsplitinc  Protein    OK  OK  OK  BLAST swissnew split in 5 files, only file 02
    qapfasta          Protein    OK  OK  OK  FASTA file swissnew entries
    qapflat           Protein    OK  OK  OK  SpTrEmbl flatfile
    qapflatall        Protein    OK  OK  OK  SpTrEmbl flatfiles, all fields indexed
    qapir             Protein    OK  OK  OK  PIR
    qapirall          Protein    OK  OK  OK  PIR
    qapirexc          Protein    OK  OK  OK  PIR
    qapirinc          Protein    OK  OK  OK  PIR
    qapxfasta         Protein    OK  OK  OK  FASTA file swissnew entries
    qapxflat          Protein    OK  OK  OK  Swissnew flatfiles
    qaxpir            Protein    OK  OK  OK  PIR
    qaxpirall         Protein    OK  OK  OK  PIR
    qaxpirexc         Protein    OK  OK  OK  PIR
    qaxpirinc         Protein    OK  OK  OK  PIR
    tpir              Protein    OK  OK  OK  PIR using NBRF access for 4 files
    tsw               Protein    OK  OK  OK  Swissprot native format with EMBL CD-ROM index
    tswnew            Protein    OK  OK  OK  SpTrEmbl as 3 files in native format with EMBL CD-ROM index
    tflybase          Features   OK  -   -
    tgenedb           Features   OK  -   -
    ttax              Taxonomy   OK  OK  OK
    taxon             Taxonomy   OK  OK  OK
    drcat             Resource   OK  OK  OK
    tedam             Obo        OK  OK  OK  EDAM using dbxedam test indexes
    tobo              Obo        OK  OK  OK  EDAM using dbxobo test indexes
    chebi             Obo        OK  OK  OK
    eco               Obo        OK  OK  OK
    edam              Obo        OK  OK  OK
    edam_data         Obo        OK  OK  OK
    edam_format       Obo        OK  OK  OK
    edam_identifier   Obo        OK  OK  OK
    edam_operation    Obo        OK  OK  OK
    edam_topic        Obo        OK  OK  OK
    go                Obo        OK  OK  OK
    go_component      Obo        OK  OK  OK
    go_function       Obo        OK  OK  OK
    go_process        Obo        OK  OK  OK
    pw                Obo        OK  OK  OK
    ro                Obo        OK  OK  OK
    so                Obo        OK  OK  OK
    swo               Obo        OK  OK  OK

Example 6

Display the information with no headings:

    % showdb -noheading
    Display information on configured databases

    bpsw              Protein    OK  OK  OK
    bpworm            Protein    OK  OK  OK
    qapblast          Protein    OK  OK  OK  BLAST swissnew
    qapblastall       Protein    OK  OK  OK  BLAST swissnew, all fields indexed
    qapblastsplit     Protein    OK  OK  OK  BLAST swissnew split in 5 files
    qapblastsplitexc  Protein    OK  OK  OK  BLAST swissnew split in 5 files, not file 02
    qapblastsplitinc  Protein    OK  OK  OK  BLAST swissnew split in 5 files, only file 02
    qapfasta          Protein    OK  OK  OK  FASTA file swissnew entries
    qapflat           Protein    OK  OK  OK  SpTrEmbl flatfile
    qapflatall        Protein    OK  OK  OK  SpTrEmbl flatfiles, all fields indexed
    qapir             Protein    OK  OK  OK  PIR
    qapirall          Protein    OK  OK  OK  PIR
    qapirexc          Protein    OK  OK  OK  PIR
    qapirinc          Protein    OK  OK  OK  PIR
    qapxfasta         Protein    OK  OK  OK  FASTA file swissnew entries
    qapxflat          Protein    OK  OK  OK  Swissnew flatfiles
    qaxpir            Protein    OK  OK  OK  PIR
    qaxpirall         Protein    OK  OK  OK  PIR
    qaxpirexc         Protein    OK  OK  OK  PIR
    qaxpirinc         Protein    OK  OK  OK  PIR
    tpir              Protein    OK  OK  OK  PIR using NBRF access for 4 files
    tsw               Protein    OK  OK  OK  Swissprot native format with EMBL CD-ROM index
    tswnew            Protein    OK  OK  OK  SpTrEmbl as 3 files in native format with EMBL CD-ROM index
    bpembl            Nucleotide OK  OK  OK
    bpgb              Nucleotide OK  OK  OK
    qanfasta          Nucleotide OK  OK  OK  FASTA file EMBL rodents
    qanfastaall       Nucleotide OK  OK  OK  FASTA file EMBL rodents, all fields indexed
    qanflat           Nucleotide OK  OK  OK  EMBL flatfiles
    qanflatall        Nucleotide OK  OK  OK  EMBL flatfiles
    qanflatexc        Nucleotide OK  OK  OK  EMBL flatfiles, no rodent file
    qanflatinc        Nucleotide OK  OK  OK  EMBL flatfiles, only rodent file
    qangcg            Nucleotide OK  OK  OK  GCG format EMBL
    qangcgall         Nucleotide OK  OK  OK  GCG format EMBL
    qangcgexc         Nucleotide OK  OK  OK  GCG format EMBL without prokaryotes
    qangcginc         Nucleotide OK  OK  OK  GCG format EMBL only prokaryotes
    qanxfasta         Nucleotide OK  OK  OK  FASTA file EMBL rodents
    qanxfastaall      Nucleotide OK  OK  OK  FASTA file EMBL rodents, all fields indexed
    qanxflat          Nucleotide OK  OK  OK  EMBL flatfiles
    qanxflatall       Nucleotide OK  OK  OK  EMBL flatfiles, all fields indexed
    qanxflatexc       Nucleotide OK  OK  OK  EMBL flatfiles, no rodent file
    qanxflatinc       Nucleotide OK  OK  OK  EMBL flatfiles, only rodent file
    qanxgcg           Nucleotide OK  OK  OK  GCG format EMBL
    qanxgcgall        Nucleotide OK  OK  OK  GCG format EMBL
    qanxgcgexc        Nucleotide OK  OK  OK  GCG format EMBL without prokaryotes
    qanxgcginc        Nucleotide OK  OK  OK  GCG format EMBL only prokaryotes
    qasrswww          Nucleotide OK  OK  OK  Remote SRS web server
    qawfasta          Nucleotide OK  OK  OK  FASTA file wormpep entries
    qawxfasta         Nucleotide OK  OK  OK  FASTA file wormpep entries
    qaxembl           Nucleotide OK  OK  OK  EMBL flatfiles
    tembl             Nucleotide OK  OK  OK  EMBL in native format with EMBL CD-ROM index
    temblall          Nucleotide OK  OK  OK  EMBL in native format with EMBL CD-ROM index
    temblrest         Nucleotide OK  OK  OK  EMBL in native format with EMBL CD-ROM index
    temblvrt          Nucleotide OK  OK  OK  EMBL in native format with EMBL CD-ROM index
    tensembldasgrch37 Nucleotide OK  -   -   Homo_sapiens Reference server based on GRCh37 assembly
    testdb            Nucleotide OK  OK  OK  test sequence data
    tgb               Nucleotide OK  OK  OK  Genbank IDs
    tgenbank          Nucleotide OK  OK  OK  GenBank in native format with EMBL CD-ROM index
    tgenedashuman     Nucleotide OK  -   -   The Ensembl human Gene_ID reference source
    tflybase          Features   OK  -   -
    tgenedb           Features   OK  -   -
    ttax              Taxonomy   OK  OK  OK
    taxon             Taxonomy   OK  OK  OK
    drcat             Resource   OK  OK  OK
    tedam             Obo        OK  OK  OK  EDAM using dbxedam test indexes
    tobo              Obo        OK  OK  OK  EDAM using dbxobo test indexes
    chebi             Obo        OK  OK  OK
    eco               Obo        OK  OK  OK
    edam              Obo        OK  OK  OK
    edam_data         Obo        OK  OK  OK
    edam_format       Obo        OK  OK  OK
    edam_identifier   Obo        OK  OK  OK
    edam_operation    Obo        OK  OK  OK
    edam_topic        Obo        OK  OK  OK
    go                Obo        OK  OK  OK
    go_component      Obo        OK  OK  OK
    go_function       Obo        OK  OK  OK
    go_process        Obo        OK  OK  OK
    pw                Obo        OK  OK  OK
    ro                Obo        OK  OK  OK
    so                Obo        OK  OK  OK
    swo               Obo        OK  OK  OK

Example 7

Display just a list of the available database names:

    % showdb -noheading -notype -noid -noquery -noall -nocomment -auto

    bpsw
    bpworm
    qapblast
    qapblastall
    qapblastsplit
    qapblastsplitexc
    qapblastsplitinc
    qapfasta
    qapflat
    qapflatall
    qapir
    qapirall
    qapirexc
    qapirinc
    qapxfasta
    qapxflat
    qaxpir
    qaxpirall
    qaxpirexc
    qaxpirinc
    tpir
    tsw
    tswnew
    bpembl
    bpgb
    qanfasta
    qanfastaall
    qanflat
    qanflatall
    qanflatexc
    qanflatinc
    qangcg
    qangcgall
    qangcgexc
    qangcginc
    qanxfasta
    qanxfastaall
    qanxflat
    qanxflatall
    qanxflatexc
    qanxflatinc
    qanxgcg
    qanxgcgall
    qanxgcgexc
    qanxgcginc
    qasrswww
    qawfasta
    qawxfasta
    qaxembl
    tembl
    temblall
    temblrest
    temblvrt
    tensembldasgrch37
    testdb
    tgb
    tgenbank
    tgenedashuman
    tflybase
    tgenedb
    ttax
    taxon
    drcat
    tedam
    tobo
    chebi
    eco
    edam
    edam_data
    edam_format
    edam_identifier
    edam_operation
    edam_topic
    go
    go_component
    go_function
    go_process
    pw
    ro
    so
    swo

Example 8

Display only the names and types:

    % showdb -only -type
    Display information on configured databases

    bpsw              Protein
    bpworm            Protein
    qapblast          Protein
    qapblastall       Protein
    qapblastsplit     Protein
    qapblastsplitexc  Protein
    qapblastsplitinc  Protein
    qapfasta          Protein
    qapflat           Protein
    qapflatall        Protein
    qapir             Protein
    qapirall          Protein
    qapirexc          Protein
    qapirinc          Protein
    qapxfasta         Protein
    qapxflat          Protein
    qaxpir            Protein
    qaxpirall         Protein
    qaxpirexc         Protein
    qaxpirinc         Protein
    tpir              Protein
    tsw               Protein
    tswnew            Protein
    bpembl            Nucleotide
    bpgb              Nucleotide
    qanfasta          Nucleotide
    qanfastaall       Nucleotide
    qanflat           Nucleotide
    qanflatall        Nucleotide
    qanflatexc        Nucleotide
    qanflatinc        Nucleotide
    qangcg            Nucleotide
    qangcgall         Nucleotide
    qangcgexc         Nucleotide
    qangcginc         Nucleotide
    qanxfasta         Nucleotide
    qanxfastaall      Nucleotide
    qanxflat          Nucleotide
    qanxflatall       Nucleotide
    qanxflatexc       Nucleotide
    qanxflatinc       Nucleotide
    qanxgcg           Nucleotide
    qanxgcgall        Nucleotide
    qanxgcgexc        Nucleotide
    qanxgcginc        Nucleotide
    qasrswww          Nucleotide
    qawfasta          Nucleotide
    qawxfasta         Nucleotide
    qaxembl           Nucleotide
    tembl             Nucleotide
    temblall          Nucleotide
    temblrest         Nucleotide
    temblvrt          Nucleotide
    tensembldasgrch37 Nucleotide
    testdb            Nucleotide
    tgb               Nucleotide
    tgenbank          Nucleotide
    tgenedashuman     Nucleotide
    tflybase          Features
    tgenedb           Features
    ttax              Taxonomy
    taxon             Taxonomy
    drcat             Resource
    tedam             Obo
    tobo              Obo
    chebi             Obo
    eco               Obo
    edam              Obo
    edam_data         Obo
    edam_format       Obo
    edam_identifier   Obo
    edam_operation    Obo
    edam_topic        Obo
    go                Obo
    go_component      Obo
    go_function       Obo
    go_process        Obo
    pw                Obo
    ro                Obo
    so                Obo
    swo               Obo

Example 9

Display everything

    % showdb -full
    Display information on configured databases

    # Name            Type       ID  Qry All Method    Fields                                                                                         Defined  Release Comment
    # =============== ========== ==  === === ========= ============================================================================================== ======== ======= =======
    bpsw              Protein    OK  OK  OK  obda      id,acc                                                                                         special
    bpworm            Protein    OK  OK  OK  obda      id                                                                                             special
    qapblast          Protein    OK  OK  OK  blast     -                                                                                              special          BLAST swissnew
    qapblastall       Protein    OK  OK  OK  blast     sv,des                                                                                         special          BLAST swissnew, all fields indexed
    qapblastsplit     Protein    OK  OK  OK  blast     -                                                                                              special          BLAST swissnew split in 5 files
    qapblastsplitexc  Protein    OK  OK  OK  blast     -                                                                                              special          BLAST swissnew split in 5 files, not file 02
    qapblastsplitinc  Protein    OK  OK  OK  blast     -                                                                                              special          BLAST swissnew split in 5 files, only file 02
    qapfasta          Protein    OK  OK  OK  emblcd    -                                                                                              special          FASTA file swissnew entries
    qapflat           Protein    OK  OK  OK  emblcd    -                                                                                              special          SpTrEmbl flatfile
    qapflatall        Protein    OK  OK  OK  emblcd    sv,des,org,key                                                                                 special          SpTrEmbl flatfiles, all fields indexed
    qapir             Protein    OK  OK  OK  gcg       -                                                                                              special          PIR
    qapirall          Protein    OK  OK  OK  gcg       des,org,key                                                                                    special          PIR
    qapirexc          Protein    OK  OK  OK  gcg       -                                                                                              special          PIR
    qapirinc          Protein    OK  OK  OK  gcg       -                                                                                              special          PIR
    qapxfasta         Protein    OK  OK  OK  emboss    -                                                                                              special          FASTA file swissnew entries
    qapxflat          Protein    OK  OK  OK  emboss    -                                                                                              special          Swissnew flatfiles
    qaxpir            Protein    OK  OK  OK  embossgcg -                                                                                              special          PIR
    qaxpirall         Protein    OK  OK  OK  embossgcg des,org,key                                                                                    special          PIR
    qaxpirexc         Protein    OK  OK  OK  embossgcg -                                                                                              special          PIR
    qaxpirinc         Protein    OK  OK  OK  embossgcg -                                                                                              special          PIR
    tpir              Protein    OK  OK  OK  gcg       des,org,key                                                                                    special          PIR using NBRF access for 4 files
    tsw               Protein    OK  OK  OK  emblcd    id,acc,sv,des,org,key                                                                          special  36      Swissprot native format with EMBL CD-ROM index
    tswnew            Protein    OK  OK  OK  emblcd    sv,des,org,key                                                                                 special  37      SpTrEmbl as 3 files in native format with EMBL CD-ROM index
    bpembl            Nucleotide OK  OK  OK  obda      id,acc                                                                                         special
    bpgb              Nucleotide OK  OK  OK  obda      id,acc                                                                                         special
    qanfasta          Nucleotide OK  OK  OK  emblcd    -                                                                                              special          FASTA file EMBL rodents
    qanfastaall       Nucleotide OK  OK  OK  emblcd    sv,des                                                                                         special          FASTA file EMBL rodents, all fields indexed
    qanflat           Nucleotide OK  OK  OK  emblcd    -                                                                                              special          EMBL flatfiles
    qanflatall        Nucleotide OK  OK  OK  emblcd    -                                                                                              special          EMBL flatfiles
    qanflatexc        Nucleotide OK  OK  OK  emblcd    -                                                                                              special          EMBL flatfiles, no rodent file
    qanflatinc        Nucleotide OK  OK  OK  emblcd    -                                                                                              special          EMBL flatfiles, only rodent file
    qangcg            Nucleotide OK  OK  OK  gcg       -                                                                                              special          GCG format EMBL
    qangcgall         Nucleotide OK  OK  OK  gcg       sv,des,org,key                                                                                 special          GCG format EMBL
    qangcgexc         Nucleotide OK  OK  OK  gcg       -                                                                                              special          GCG format EMBL without prokaryotes
    qangcginc         Nucleotide OK  OK  OK  gcg       -                                                                                              special          GCG format EMBL only prokaryotes
    qanxfasta         Nucleotide OK  OK  OK  emboss    -                                                                                              special          FASTA file EMBL rodents
    qanxfastaall      Nucleotide OK  OK  OK  emboss    sv,des                                                                                         special          FASTA file EMBL rodents, all fields indexed
    qanxflat          Nucleotide OK  OK  OK  emboss    id,acc                                                                                         special          EMBL flatfiles
    qanxflatall       Nucleotide OK  OK  OK  emboss    des,org,key,sv                                                                                 special          EMBL flatfiles, all fields indexed
    qanxflatexc       Nucleotide OK  OK  OK  emboss    -                                                                                              special          EMBL flatfiles, no rodent file
    qanxflatinc       Nucleotide OK  OK  OK  emboss    -                                                                                              special          EMBL flatfiles, only rodent file
    qanxgcg           Nucleotide OK  OK  OK  embossgcg -                                                                                              special          GCG format EMBL
    qanxgcgall        Nucleotide OK  OK  OK  embossgcg sv,des,org,key                                                                                 special          GCG format EMBL
    qanxgcgexc        Nucleotide OK  OK  OK  embossgcg -                                                                                              special          GCG format EMBL without prokaryotes
    qanxgcginc        Nucleotide OK  OK  OK  embossgcg -                                                                                              special          GCG format EMBL only prokaryotes
    qasrswww          Nucleotide OK  OK  OK  srswww    sv,des,org,key                                                                                 special          Remote SRS web server
    qawfasta          Nucleotide OK  OK  OK  emblcd    -                                                                                              special          FASTA file wormpep entries
    qawxfasta         Nucleotide OK  OK  OK  emboss    -                                                                                              special          FASTA file wormpep entries
    qaxembl           Nucleotide OK  OK  OK  emboss    -                                                                                              special          EMBL flatfiles
    tembl             Nucleotide OK  OK  OK  emblcd    sv,des,org,key                                                                                 special  57      EMBL in native format with EMBL CD-ROM index
    temblall          Nucleotide OK  OK  OK  direct    sv,des,org,key                                                                                 special  57      EMBL in native format with EMBL CD-ROM index
    temblrest         Nucleotide OK  OK  OK  direct    sv,des,org,key                                                                                 special  57      EMBL in native format with EMBL CD-ROM index
    temblvrt          Nucleotide OK  OK  OK  direct    sv,des,org,key                                                                                 special  57      EMBL in native format with EMBL CD-ROM index
    tensembldasgrch37 Nucleotide OK  -   -   das       -                                                                                              special          Homo_sapiens Reference server based on GRCh37 assembly
    testdb            Nucleotide OK  OK  OK  emblcd    des                                                                                            special  01      test sequence data
    tgb               Nucleotide OK  OK  OK  srswww    sv,des,org,key                                                                                 special          Genbank IDs
    tgenbank          Nucleotide OK  OK  OK  emblcd    sv,des,org,key                                                                                 special  01      GenBank in native format with EMBL CD-ROM index
    tgenedashuman     Nucleotide OK  -   -   das       -                                                                                              special          The Ensembl human Gene_ID reference source
    tflybase          Features   OK  -   -   chado(id) uniquename                                                                                     special
    tgenedb           Features   OK  -   -   chado(id) uniquename                                                                                     special
    ttax              Taxonomy   OK  OK  OK  embosstax id,acc,nam,rnk,up,gc,mgc                                                                       special
    taxon             Taxonomy   OK  OK  OK  embosstax id,acc,tax,rnk,up,gc,mgc                                                                       standard
    drcat             Resource   OK  OK  OK  emboss    id,acc,nam,des,url,cat,edat,efmt,eid,etpc,xref,qout,qfmt,qin,qurl,cc,rest,soap,stat,xref,taxid standard
    tedam             Obo        OK  OK  OK  emboss    id,acc,nam,isa,des,ns,hasattr,hasin,hasout,isid,isfmt,issrc                                    special  beta11  EDAM using dbxedam test indexes
    tobo              Obo        OK  OK  OK  emboss    id,acc,nam,isa,des,ns,hasattr,hasin,hasout,isid,isfmt,issrc                                    special  beta11  EDAM using dbxobo test indexes
    chebi             Obo        OK  OK  OK  emboss    id,acc,nam,isa,des                                                                             standard
    eco               Obo        OK  OK  OK  emboss    id,acc,nam,isa,des                                                                             standard
    edam              Obo        OK  OK  OK  emboss    id,acc,nam,isa,des,ns,hasattr,hasin,hasout,isid,isfmt,issrc                                    standard
    edam_data         Obo        OK  OK  OK  emboss    id,acc,nam,isa,des,ns,hasattr,hasin,hasout,isid,isfmt,issrc                                    standard
    edam_format       Obo        OK  OK  OK  emboss    id,acc,nam,isa,des,ns,hasattr,hasin,hasout,isid,isfmt,issrc                                    standard
    edam_identifier   Obo        OK  OK  OK  emboss    id,acc,nam,isa,des,ns,hasattr,hasin,hasout,isid,isfmt,issrc                                    standard
    edam_operation    Obo        OK  OK  OK  emboss    id,acc,nam,isa,des,ns,hasattr,hasin,hasout,isid,isfmt,issrc                                    standard
    edam_topic        Obo        OK  OK  OK  emboss    id,acc,nam,isa,des,ns,hasattr,hasin,hasout,isid,isfmt,issrc                                    standard
    go                Obo        OK  OK  OK  emboss    id,acc,nam,isa,des,ns                                                                          standard
    go_component      Obo        OK  OK  OK  emboss    id,acc,nam,isa,des,ns                                                                          standard
    go_function       Obo        OK  OK  OK  emboss    id,acc,nam,isa,des,ns                                                                          standard
    go_process        Obo        OK  OK  OK  emboss    id,acc,nam,isa,des,ns                                                                          standard
    pw                Obo        OK  OK  OK  emboss    id,acc,nam,isa,des                                                                             standard
    ro                Obo        OK  OK  OK  emboss    id,acc,nam,isa,des                                                                             standard
    so                Obo        OK  OK  OK  emboss    id,acc,nam,isa,des                                                                             standard
    swo               Obo        OK  OK  OK  emboss    id,acc,nam,isa,des                                                                             standard

## Command line arguments

    Display information on configured databases
    Version: EMBOSS:6.5.6.0

       Standard (Mandatory) qualifiers: (none)
       Additional (Optional) qualifiers:
       -database           string     Name of a single database to give
                                      information on (Any string)
       -html               boolean    [N] Format output as an HTML table
       -[no]protein        boolean    [Y] Display protein databases
       -[no]nucleic        boolean    [Y] Display nucleotide databases
       -[no]sequence       boolean    [Y] Display general sequence databases
       -[no]feature        boolean    [Y] Display feature annotation databases
       -[no]text           boolean    [Y] Display text databases
       -[no]taxonomy       boolean    [Y] Display taxonomy databases
       -[no]resource       boolean    [Y] Display resource databases
       -[no]assembly       boolean    [Y] Display sequence assembly databases
       -[no]obo            boolean    [Y] Display obo bio-ontology databases
       -full               boolean    [N] Display all columns
       -methods            boolean    [$(full)] This displays the access methods
                                      that can be used on this database, for all,
                                      query or ID access
       -fields             boolean    [$(full)] This displays the search fields
                                      that can be used on this database, other
                                      than the standard 'id' or 'acc' fields.
       -defined            boolean    [$(full)] This displays a short name for the
                                      file containing the database definition
       -release            boolean    [$(full)] Display 'release' column
       -outfile            outfile    [stdout] Output file name

       Advanced (Unprompted) qualifiers:
       -only               toggle     [N] This is a way of shortening the command
                                      line if you only want a few standard columns
                                      to be displayed. Instead of specifying:
                                      '-nohead -notype -noid -noquery -noall'
                                      to get only the comment output, you can
                                      specify
                                      '-only -comment'
       -heading            boolean    [@(!$(only))] Display column headings
       -type               boolean    [@(!$(only))] Display 'type' column
       -id                 boolean    [@(!$(only))] Display 'id' column
       -query              boolean    [@(!$(only))] Display 'qry' column
       -all                boolean    [@(!$(only))] Display 'all' column
       -comment            boolean    [@(!$(only))] Display 'comment' column

       Associated qualifiers:

       "-outfile" associated qualifiers
       -odirectory         string     Output directory

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write first file to standard output
       -filter             boolean    Read first file from standard input, write
                                      first file to standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options and exit. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages
       -version            boolean    Report version number and exit

Qualifier | Type | Description | Allowed values | Default
--- | --- | --- | --- | ---
Standard (Mandatory) qualifiers
(none)
Additional (Optional) qualifiers
-database | string | Name of a single database to give information on | Any string |
-html | boolean | Format output as an HTML table | Boolean value Yes/No | No
-[no]protein | boolean | Display protein databases | Boolean value Yes/No | Yes
-[no]nucleic | boolean | Display nucleotide databases | Boolean value Yes/No | Yes
-[no]sequence | boolean | Display general sequence databases | Boolean value Yes/No | Yes
-[no]feature | boolean | Display feature annotation databases | Boolean value Yes/No | Yes
-[no]text | boolean | Display text databases | Boolean value Yes/No | Yes
-[no]taxonomy | boolean | Display taxonomy databases | Boolean value Yes/No | Yes
-[no]resource | boolean | Display resource databases | Boolean value Yes/No | Yes
-[no]assembly | boolean | Display sequence assembly databases | Boolean value Yes/No | Yes
-[no]obo | boolean | Display obo bio-ontology databases | Boolean value Yes/No | Yes
-full | boolean | Display all columns | Boolean value Yes/No | No
-methods | boolean | This displays the access methods that can be used on this database, for all, query or ID access | Boolean value Yes/No | $(full)
-fields | boolean | This displays the search fields that can be used on this database, other than the standard 'id' or 'acc' fields. | Boolean value Yes/No | $(full)
-defined | boolean | This displays a short name for the file containing the database definition | Boolean value Yes/No | $(full)
-release | boolean | Display 'release' column | Boolean value Yes/No | $(full)
-outfile | outfile | Output file name | Output file | stdout
Advanced (Unprompted) qualifiers
-only | toggle | This is a way of shortening the command line if you only want a few standard columns to be displayed. Instead of specifying: '-nohead -notype -noid -noquery -noall' to get only the comment output, you can specify '-only -comment' | Toggle value Yes/No | No
-heading | boolean | Display column headings | Boolean value Yes/No | @(!$(only))
-type | boolean | Display 'type' column | Boolean value Yes/No | @(!$(only))
-id | boolean | Display 'id' column | Boolean value Yes/No | @(!$(only))
-query | boolean | Display 'qry' column | Boolean value Yes/No | @(!$(only))
-all | boolean | Display 'all' column | Boolean value Yes/No | @(!$(only))
-comment | boolean | Display 'comment' column | Boolean value Yes/No | @(!$(only))
Associated qualifiers
"-outfile" associated outfile qualifiers
-odirectory | string | Output directory | Any string |
General qualifiers
-auto | boolean | Turn off prompts | Boolean value Yes/No | N
-stdout | boolean | Write first file to standard output | Boolean value Yes/No | N
-filter | boolean | Read first file from standard input, write first file to standard output | Boolean value Yes/No | N
-options | boolean | Prompt for standard and additional values | Boolean value Yes/No | N
-debug | boolean | Write debug output to program.dbg | Boolean value Yes/No | N
-verbose | boolean | Report some/full command line options | Boolean value Yes/No | Y
-help | boolean | Report command line options and exit. More information on associated and general qualifiers can be found with -help -verbose | Boolean value Yes/No | N
-warning | boolean | Report warnings | Boolean value Yes/No | Y
-error | boolean | Report errors | Boolean value Yes/No | Y
-fatal | boolean | Report fatal errors | Boolean value Yes/No | Y
-die | boolean | Report dying program messages | Boolean value Yes/No | Y
-version | boolean | Report version number and exit | Boolean value Yes/No | N

## Input file format

showdb examines the databases defined for this EMBOSS installation and for the current user.

### Input files for usage example 3

'tsw' is a sequence entry in the example protein database 'tsw'

## Output file format

### Output files for usage example 2

### File: showdb.out

    # Name            Type       ID  Qry All Comment
    # =============== ========== ==  === === =======
    bpsw              Protein    OK  OK  OK
    bpworm            Protein    OK  OK  OK
    qapblast          Protein    OK  OK  OK  BLAST swissnew
    qapblastall       Protein    OK  OK  OK  BLAST swissnew, all fields indexed
    qapblastsplit     Protein    OK  OK  OK  BLAST swissnew split in 5 files
    qapblastsplitexc  Protein    OK  OK  OK  BLAST swissnew split in 5 files, not file 02
    qapblastsplitinc  Protein    OK  OK  OK  BLAST swissnew split in 5 files, only file 02
    qapfasta          Protein    OK  OK  OK  FASTA file swissnew entries
    qapflat           Protein    OK  OK  OK  SpTrEmbl flatfile
    qapflatall        Protein    OK  OK  OK  SpTrEmbl flatfiles, all fields indexed
    qapir             Protein    OK  OK  OK  PIR
    qapirall          Protein    OK  OK  OK  PIR
    qapirexc          Protein    OK  OK  OK  PIR
    qapirinc          Protein    OK  OK  OK  PIR
    qapxfasta         Protein    OK  OK  OK  FASTA file swissnew entries
    qapxflat          Protein    OK  OK  OK  Swissnew flatfiles
    qaxpir            Protein    OK  OK  OK  PIR
    qaxpirall         Protein    OK  OK  OK  PIR
    qaxpirexc         Protein    OK  OK  OK  PIR
    qaxpirinc         Protein    OK  OK  OK  PIR
    tpir              Protein    OK  OK  OK  PIR using NBRF access for 4 files
    tsw               Protein    OK  OK  OK  Swissprot native format with EMBL CD-ROM index
    tswnew            Protein    OK  OK  OK  SpTrEmbl as 3 files in native format with EMBL CD-ROM index
    bpembl            Nucleotide OK  OK  OK
    bpgb              Nucleotide OK  OK  OK
    qanfasta          Nucleotide OK  OK  OK  FASTA file EMBL rodents
    qanfastaall       Nucleotide OK  OK  OK  FASTA file EMBL rodents, all fields indexed
    qanflat           Nucleotide OK  OK  OK  EMBL flatfiles
    qanflatall        Nucleotide OK  OK  OK  EMBL flatfiles
    qanflatexc        Nucleotide OK  OK  OK  EMBL flatfiles, no rodent file
    qanflatinc        Nucleotide OK  OK  OK  EMBL flatfiles, only rodent file
    qangcg            Nucleotide OK  OK  OK  GCG format EMBL
    qangcgall         Nucleotide OK  OK  OK  GCG format EMBL
    qangcgexc         Nucleotide OK  OK  OK  GCG format EMBL without prokaryotes
    qangcginc         Nucleotide OK  OK  OK  GCG format EMBL only prokaryotes
    qanxfasta         Nucleotide OK  OK  OK  FASTA file EMBL rodents
    qanxfastaall      Nucleotide OK  OK  OK  FASTA file EMBL rodents, all fields indexed
    qanxflat          Nucleotide OK  OK  OK  EMBL flatfiles
    qanxflatall       Nucleotide OK  OK  OK  EMBL flatfiles, all fields indexed
    qanxflatexc       Nucleotide OK  OK  OK  EMBL flatfiles, no rodent file
    qanxflatinc       Nucleotide OK  OK  OK  EMBL flatfiles, only rodent file
    qanxgcg           Nucleotide OK  OK  OK  GCG format EMBL
    qanxgcgall        Nucleotide OK  OK  OK  GCG format EMBL
    qanxgcgexc        Nucleotide OK  OK  OK  GCG format EMBL without prokaryotes
    qanxgcginc        Nucleotide OK  OK  OK  GCG format EMBL only prokaryotes
    qasrswww          Nucleotide OK  OK  OK  Remote SRS web server
    qawfasta          Nucleotide OK  OK  OK  FASTA file wormpep entries
    qawxfasta         Nucleotide OK  OK  OK  FASTA file wormpep entries
    qaxembl           Nucleotide OK  OK  OK  EMBL flatfiles
    tembl             Nucleotide OK  OK  OK  EMBL in native format with EMBL CD-ROM index
    temblall          Nucleotide OK  OK  OK  EMBL in native format with EMBL CD-ROM index
    temblrest         Nucleotide OK  OK  OK  EMBL in native format with EMBL CD-ROM index
    temblvrt          Nucleotide OK  OK  OK  EMBL in native format with EMBL CD-ROM index
    tensembldasgrch37 Nucleotide OK  -   -   Homo_sapiens Reference server based on GRCh37 assembly
    testdb            Nucleotide OK  OK  OK  test sequence data
    tgb               Nucleotide OK  OK  OK  Genbank IDs
    tgenbank          Nucleotide OK  OK  OK  GenBank in native format with EMBL CD-ROM index
    tgenedashuman     Nucleotide OK  -   -   The Ensembl human Gene_ID reference source
    tflybase          Features   OK  -   -
    tgenedb           Features   OK  -   -
    ttax              Taxonomy   OK  OK  OK
    taxon             Taxonomy   OK  OK  OK
    drcat             Resource   OK  OK  OK
    tedam             Obo        OK  OK  OK  EDAM using dbxedam test indexes
    tobo              Obo        OK  OK  OK  EDAM using dbxobo test indexes
    chebi             Obo        OK  OK  OK
    eco               Obo        OK  OK  OK
    edam              Obo        OK  OK  OK
    edam_data         Obo        OK  OK  OK
    edam_format       Obo        OK  OK  OK
    edam_identifier   Obo        OK  OK  OK
    edam_operation    Obo        OK  OK  OK
    edam_topic        Obo        OK  OK  OK
    go                Obo        OK  OK  OK
    go_component      Obo        OK  OK  OK
    go_function       Obo        OK  OK  OK
    go_process        Obo        OK  OK  OK
    pw                Obo        OK  OK  OK
    ro                Obo        OK  OK  OK
    so                Obo        OK  OK  OK
    swo               Obo        OK  OK  OK

The output is a simple text table.

Type 'P' indicates that this is a Protein database.

Type 'N' indicates that this is a Nucleic database.

'OK' under ID, Qry or All indicates that that access method can be used on this database. A '-' indicates that you cannot access this database in that way.

Note that 'OK' does not mean that the database is working correctly. It simply means that showdb has read the database definition correctly and that this method of access to the database should be possible.

If you are setting up a new database, then you should check that it works correctly by extracting entries from it using seqret.

When the -html qualifier is specified, then the output will be wrapped in HTML tags, ready for inclusion in a Web page. Note that tags such as <HTML>, <BODY>, </BODY> and </HTML> are not output by this program as the table of databases is expected to form only part of the contents of a web page - the rest of the web page must be supplied by the user.

## Data files

The databases are specified in the files "emboss.defaults" for site wide definitions, and "~/.embossrc" for the user's own settings.

## Notes

EMBOSS provides excellent database support. All the common sequence formats you are likely to come across are supported. There are three basic levels of database query with different ways to search for and retrieve entries: `entry` A single entry specified by database ID or accession number is retrieved. For example "embl:x13776". `query` One or more entries matching a wildcard string in the USA are retrieved (this can be slow for some methods). For example you can specify all of the human PAX proteins in SWISS_PROT by: `swissprot:pax*_human`. `all` All entries are read sequentially from a database. For example to specify all entries in the database use `embl:*`.

One or more query levels may be available for a database depending on the database in question and how it has been setup and indexed. Each database and access method must be configured for it to be available for use. This involves editing one of the EMBOSS configuration files, either your own personal `.embossrc` or the installation-wide `emboss.default` file. The `emboss.default` file will typically contain the definitions of the test databases (`tsw`, `tembl`, `tpir`, etc) used in the usage examples for the application documentation and serve as example database definitions. For more information, see the EMBOSS Administrators Manual. You can run showdb to see the databases and access methods that have been configured successfully.

## References

None.

## Warnings

Where the string `OK` is given next to a database is listed in showdb output, this means showdb has read the database definition correctly and that this access method is in principle possible, in other words, the database has been configured correctly.. It does not mean that the database or access method are available or working correctly. You should check things are ok by running, for example, seqret to retrieve an entry.

## Diagnostic Error Messages

"The database 'xyz' does not exist" You have supplied the name of a database with the -database qualifier, but that database does not exist as far as EMBOSS is concerned.

## Exit status

It always exits with status 0, unless the above diagnostic message is displayed.

## Known bugs

None noted.

## See also

Program name | Description
--- | ---
cachedas | Generate server cache file for DAS servers or for the DAS registry
cachedbfetch | Generate server cache file for Dbfetch/WSDbfetch data sources
cacheebeyesearch | Generate server cache file for EB-eye search domains
cacheensembl | Generate server cache file for an Ensembl server
dbtell | Display information about a public database
servertell | Display information about a public server
showserver | Display information on configured servers

## Author(s)

Gary Williams formerly at:
MRC Rosalind Franklin Centre for Genomics Research Wellcome Trust Genome Campus, Hinxton, Cambridge, CB10 1SB, UK

Please report all bugs to the EMBOSS bug team (emboss-bug © emboss.open-bio.org) not to the original author.

## History

Completed 6th August 1999.

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None